Skip to navigation

Rush Order APIs

The Dream API lets your systems submit orders to Rush Order, track their fulfillment, manage returns, and read inventory and inbound receiving data.

The API is a REST service returning JSON, secured with HTTP Basic authentication.

Full request and response schemas, with an interactive request builder, are in the API Reference.

Base URL

https://dream.rushorder.com/api

Endpoint summary

MethodEndpointPurpose
POST/ordersSubmit an order for Rush Order to process
GET/ordersShipment status by package id, order number, alt order number, or customer email
GET/orders/batchShipment status for a batch of orders
POST/orders/cancelCancel an order prior to processing and invoicing
GET/orders/serialnumbersSerial numbers for a shipped order
GET/orders/{confirmationNumber}/statusImport status of a submitted order
GET/stockCurrent quantity of all stock items
GET/stock/{sku}Current quantity of one stock item
GET/regionalinventoryStock quantities by region, warehouse, and disposition
POST/transit/Transit data for an order
POST/rmaCreate an RMA
POST/rma/withlabelCreate an RMA and generate a return label
POST/rma/withtrackingCreate an RMA with your own return tracking
GET/rma/statusRMA status by RMA or alternate RMA number
GET/rma/status/batchRMA status for a batch of RMAs
GET/serials/{serialNum}Shipping, receiving, and returns status for a serial
GET/serials/shippedSerials for items that have shipped
GET/serials/inventorySerials for items currently in inventory
GET/serials/returnedSerials for items that have been returned
POST/inboundSubmit an advance shipment notice for a PO
GET/inboundList inbound POs, with filters
GET/inbound/{poRef}One inbound PO by PO reference
GET/inbound/id/{poId}One inbound PO by Rush Order ID
GET/inbound/timeslotsOpen delivery time slots on a date
PUT/inboundBook a delivery appointment
PUT/inbound/cancelCancel an inbound PO
GET/inbound/documentsDocuments attached to an inbound PO
POST/inbound/documentsUpload a document to an inbound PO
PUT/inbound/documentsReplace an attached document
GET/inbound/receiverDeprecated alias of GET /receiver
GET/inbound/receiver/{poRef}Inbound PO with attached receivers
GET/receiverPaged list of receiver headers and items
GET/receiver/{poRef}Receiver headers and items for a PO
GET/receiver/{ReceiverNumber}/serialsSerials for an item on a receiver
GET/jarreportJournal activity for a period and year (by request)
GET/stocksnapshotWeekly inventory snapshot records (by request)
GET/webhooks/event-typesWebhook event types you can subscribe to (by request)
GET/webhooks/subscriptionsYour webhook subscriptions (by request)
POST/webhooks/subscriptionsCreate a webhook subscription (by request)
GET/webhooks/subscriptions/{id}One webhook subscription (by request)
PUT/webhooks/subscriptions/{id}Replace a webhook subscription (by request)
PATCH/webhooks/subscriptions/{id}Update some fields of a webhook subscription (by request)
DELETE/webhooks/subscriptions/{id}Delete a webhook subscription (by request)
POST/webhooks/subscriptions/{id}/secretRotate a signing secret (by request)
POST/webhooks/subscriptions/{id}/testSend a test delivery (by request)
GET/webhooks/documentationYour webhook documentation link (by request)